server_tokens off;

add_header Cache-Control "max-age=0, no-cache, no-store, must-revalidate" always;
add_header Content-Security-Policy "default-src * 'unsafe-inline' 'unsafe-eval' blob:; script-src * blob: 'unsafe-inline' 'unsafe-eval'; connect-src * 'unsafe-inline'; img-src * data: blob: 'unsafe-inline'; frame-src *; style-src * 'unsafe-inline'" always;
add_header Pragma "no-cache" always;
add_header Referrer-Policy "same-origin" always;
add_header X-Content-Type-Options "nosniff" always;
add_header X-Frame-Options "DENY" always;
add_header X-XSS-Protection "1; mode=block" always;
add_header Access-Control-Allow-Origin: *;

server {
    listen       8080;
    server_name  localhost;

    gzip on;
    gzip_static on;
    gzip_http_version 1.1;
    gzip_vary on;
    gzip_comp_level 6;
    gzip_proxied any;
    gzip_types text/plain text/css application/json application/x-javascript text/xml application/xml application/xm
    l+rss text/javascript application/javascript text/x-js;
    gzip_buffers 16 32k;
    gzip_disable "MSIE [1-6]\.(?!.*SV1)";

    location / {
        root   /usr/share/nginx/html;
        index  index.html index.htm;
        absolute_redirect off;
    }

    error_page   500 502 503 504  /50x.html;
    location = /50x.html {
        root   /usr/share/nginx/html;
    }
}
